For up-to-date product documentation, see the IBM MobileFirst Foundation Developer Center.


Supported Cordova components for MobileFirst cross-platform apps

These are the versions of Apache Cordova components that have been tested with the current version of IBM MobileFirstâ„¢ Platform Foundation. Ensure that you are using these versions to avoid possible compatibility issues.

You add these Cordova components to our application by using your preferred Cordova development tools.


Platforms

Important: If you are updating your cordova-ios platform, we must use the cordova rm platform ios command to uninstall the platform and then install it using the cordova platform add ios command. The update fails if we use the cordova platform update ios command. See Known limitations for more information.


Plug-ins

The following plug-ins are required by IBM MobileFirst Platform Foundation:

The following plug-ins are not required by IBM MobileFirst Platform Foundation but are likely to be required by your app:


Tools

Cordova command line (Cordova CLI) : 6.1.1

Parent topic: Developing Cordova applications